Subject: Re: Re: rfc 3031.section3.2.again

From: "Hailong Lu.sean" <[email-masked]>
Date: Tue, 22 May 2001 9:40:36 +0800

Hi,there
     I can understand you mean there should be a LSP which "may" route 
through RD.But how can packets being "routed" in a MPLS domain?From 
my idea,they should be label "switched".
     correct me.

regards,
sean

>Hi Sean!
>
>As per my understanding, Let Ru is the upstream LSR and Rd is the downstream LSR
>with respect to a binding. Then on receiving a packet(labeled/unlabeled) at Ru,
>Ru calls either ILM/FTN to map the packet to the set S of NHLFEs. Whether the
>packet will be routed through Rd or some other LSR in the set S, has to be
>decided by the Ru. So the statement only means to say that the packet of that
>FEC, received on Ru "may" be routed through Rd.
>
>pls correct me if I am wrong.
>
>Regards
>Mohit
>
>
>
>
>"Hailong Lu.sean" <[email-masked]> on 05/18/2001 01:05:56 PM
>
>To:   "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
>cc:    (bcc: Mohit Goel/HSS)
>
>Subject:  rfc 3031.section3.2.again
>
>
>
>
>Hi,all
>   Sorry about this subject again.
>   From the section3.2 of rfc3031:
>          "To say that one node is upstream and one is downstream with respect
>        to a given binding means only that a particular label represents a
>        particular FEC in packets travelling from the upstream node to the
>        downstream node.  This is NOT meant to imply that packets in that FEC
>        would actually be routed from the upstream node to the downstream
>        node"
>   I can understand the first part of this section:the upstream and downstream
>concepts are just meaningful when respect the binding of label and FEC.But I
>can't make sure why the "routed" problem is refered particularly in the second
>part of it.From my idea,in MPLS domain,after having been labeled by the ingress
>MPLS node,the packets are label switched.I mean there is no routing problem.
>   thanks.
>
>
>
>sean